<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, mainContent=~{::mainContent}, breadcrumbs=~{::breadcrumbs})}">
<head>
    <title>Form Administration Console</title>
    <th:block th:fragment="scripts">
        <script th:src="@{/js/app/referentiel/main.js}"></script>
    </th:block>
</head>
<body>
    <ol class="breadcrumb" th:fragment="breadcrumbs">
        <li>
            <a th:href="@{/}" th:text="#{Home}"></a>
        </li>
        <li>
             <a th:href="@{/repository}" th:text="#{Repositories}"></a>
        </li>
        <li class="active">
            <span th:text="#{upload repository}"></span>
        </li>
    </ol>
    <div th:fragment="mainContent">
        <div class="row">
            <div class="col-md-12">                                   

                   		<form class="form-horizontal" th:action="@{/repository/upload}" method="post" enctype="multipart/form-data">				
							
							<div class="form-group">
								<label for="refName" class="control-label col-md-2" th:text="#{repository Id}"></label>
							    <div class="col-md-4">
		                            <input id="refName" type="text" class="form-control" name="refName" th:value="*{repositoryId}" th:required="required" data-parsley-required="true" />
	                       	    </div>
                       	    </div>

						    <div class="form-group">						        
						        <label for="file" class="control-label col-md-2" th:text="#{CSV file}"></label>
						        <div>
						            <div class="col-md-4">
						                <input type="file" name="file" data-toggle="file" data-remove="no" data-upload="no" data-auto-upload="no" th:required="required" />
						                <div>
						                    <input th:type="checkbox" id="truncate" name="truncate" th:checked="${truncate}" /> <label th:for="truncate" th:text="#{Purge}"></label>
						                </div>
						            </div>
						            <div class="col-md-3">
						                <button type="submit" class="btn btn-primary" th:text="#{Inject}"></button>
						            </div>
						        </div>
						    </div>
						</form>
                   </div>
                   
                    <div>
                        <div class="col-md-offset-8 col-md-4" style="text-align: right">
                            <a id="btn-algo-cancel" class="btn btn-default" th:href="@{/repository}" th:text="#{Retour}">Cancel</a>
                        </div>
                    </div>
            </div>
        </div>
    </div>
</body>
</html>